1. Matches
Challonge API Docs
  • Guides
    • Welcome
    • Changelog
    • Upgrading
      • Upgrading from v2.0 to v2.1
    • Sample Use Cases
      • Running a Two-Stage Tournament
    • Challonge Connect
      • About
      • Game Integration (beta)
      • Connect Request Signing
  • API v2.1
    • Getting Started
    • Authorization
    • Error Responses
    • Resource Scoping
    • OAuth
      • Scopes
      • Grant Request
      • Token Request
      • Refresh Token Request
      • Device Grant Authorization Request
      • Device Grant Access Token Request
    • Tournament API
      • Tournaments
        • Tournament States
        • List Tournaments
        • Create Tournament
        • Get Tournament
        • Update Tournament
        • Delete Tournament
        • Change Tournament State
      • Participants
        • List Participants
        • Create Participant
        • Get Participant
        • Update Participant
        • Delete Participant
        • Bulk Create Participants
        • Clear All Participants
        • Randomize Participants
        • Register Me
        • Unregister Me
      • Matches
        • List Matches
          GET
        • Get Match
          GET
        • Update Match
          PUT
        • Change Match State
          PUT
      • Match Attachments
        • List Match Attachments
        • Create Match Attachment
        • Delete Match Attachment
      • Stations
        • List Stations
        • Get Station
        • Create Station
        • Update Station
        • Delete Station
      • Station Queuers
        • List Station Queuers
        • Get Station Queuer
        • Create Station Queuer
        • Update Station Queuer
        • Delete Station Queuer
    • Race API
      • * Notice *
      • Races
        • List Races
        • Create Race
        • Get Race
        • Update Race
        • Delete Race
        • Change Race State
      • Rounds
        • List Rounds
        • Get Round
        • Update Round
      • Elapsed Times
        • List Elapsed Times
        • Get Elapsed Time
        • Update Elapsed Time
        • Bulk Update Elapsed Times
    • Get User
      GET
    • List Communities
      GET
    • Schemas
      • StationModel
      • Station
      • StationInput
      • StationQueuer
      • StationQueuerModel
      • StationQueuerInput
      • ErrorResponse
      • ErrorModel
      • MatchAttachmentModel
      • MatchAttachmentInput
      • MatchAttachmentOutput
      • MatchAttachment
      • ParticipantModel
      • ParticipantOutput
      • ParticipantInput
      • ParticipantBulkInput
      • Participant
      • TournamentModel
      • TournamentInput
      • Tournament
      • TournamentStateInput
      • CommunityModel
      • Community
      • MatchModel
      • MatchInput
      • MatchOutput
      • Match
      • MatchStateInput
      • UserModel
      • User
      • ElapsedTimeBulkInput
      • ElapsedTimeWithID
      • ElapsedTimeOutput
      • ElaspedTimeInput
      • Timestamps
      • RelationshipLink
      • RoundOutput
      • RoundStateInput
      • RacingOutput
      • RacingInput
      • RacingStateInput
  • Bracket JSAPI v1.0
    • Getting Started
    • Broadcasted Events
    • API Actions
      • scrollToCoordinates
      • scrollToMatchIdentifier
      • setZoomScale
      • zoomToCoordinate
      • zoomToMatchIdentifier
      • loadTheme
      • filterRounds
      • loadIntegrationData
      • setBracketSettings
  • API v2.0 (deprecated)
    • About
    • Deprecated Endpoints
      • Tournament
        • findTournaments
        • createTournament
        • showTournament
        • updateTournament
        • deleteTournament
        • changeStateTournament
      • Match
        • findMatches
        • showMatch
        • updateMatch
        • changeStateTournament
      • Participant
        • findParticipants
        • createParticipant
        • showParticipant
        • updateParticipant
        • deleteParticipant
        • bulkCreateParticipant
        • clearAllParticipants
        • randomizeParticipants
      • Match Attachment
        • findMatchAttachments
        • createMatchAttachments
        • deleteMatchAttachment
      • Race
        • findRaces
        • createRace
        • showRace
        • updateRace
        • deleteRace
        • changeStateRace
      • Round
        • findRounds
        • showRound
        • updateRound
      • Elapsed Time
        • findElapsedTime
        • showElapsedTime
        • updateElapsedTime
        • bulkUpdateElapsedTime
      • User
        • findUser
        • findCommunities
    • Schemas
      • MatchAttachmentModel
      • MatchAttachmentInput
      • MatchAttachmentOutput
      • MatchAttachment
      • ParticipantModel
      • ParticipantOutput
      • ParticipantInput
      • ParticipantBulkInput
      • Participant
      • TournamentModel
      • TournamentInput
      • Tournament
      • TournamentStateInput
      • CommunityModel
      • Community
      • MatchModel
      • MatchInput
      • MatchOutput
      • Match
      • MatchStateInput
      • ErrorModel
      • UserModel
      • User
      • ElapsedTimeBulkInput
      • ElapsedTimeWithID
      • ElapsedTimeOutput
      • ElaspedTimeInput
      • Timestamps
      • RelationshipLink
      • RoundOutput
      • RoundStateInput
      • RacingOutput
      • RacingInput
      • RacingStateInput
  • API v1 (deprecated)
    • About
    • Deprecated Endpoints
      • Tournaments
        • List tournaments
        • Create a tournament
        • Get a tournament
        • Update a tournament
        • Delete a tournament
        • Process check-in results for a tournament
        • Abort check-in for a tournament
        • Start a tournament
        • Finalize a tournament
        • Reset a tournament
        • Open for predictions
      • Participants
        • List a tournament's participants
        • Create a participant
        • Bulk create participants
        • Get a participant
        • Update a participant
        • Check in a participant
        • Undo check-in for a participant
        • Delete/deactivate a participant
        • Clear/delete all participants
        • Randomize a tournament's participants
      • Matches
        • List a tournament's matches
        • Get a match
        • Update a match
        • Reopen a match
        • Mark a match as underway
        • Unmark a match as underway
      • Match Attachments
        • List a match's attachments
        • Create a match attachment
        • Get a match attachment
        • Update a match attachment
        • Delete a match attachment
  1. Matches

List Matches

GET
/tournaments/{tournament_id}/matches.json
Returns matches based on the tournament ID given

Request

Authorization
API Key
Add parameter in header
Authorization
Example:
Authorization: ********************
or
OAuth 2.0
Authorization Code
Add the parameter
Authorization
to Headers
,whose value is to concatenate the Token after the Bearer.
Example:
Authorization: Bearer ********************
Authorize URL: https://api.challonge.com/oauth/authorize
Token URL: https://api.challonge.com/oauth/token
or
Path Params

Query Params

Header Params

Responses

🟢200OK
application/json
Tournament Matches Response
Body

🟠401Unauthorized
🟠406Not Acceptable
🟠415Unsupported Media Type
Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request GET 'https://api.challonge.com/v2.1/tournaments//matches.json?community_id&page&per_page&state&participant_id' \
--header 'Accept;' \
--header 'Authorization-Type;' \
--header 'If-None-Match;' \
--header 'Authorization: <api-key>'
Response Response Example
200 - Example 1
{
    "data": [
        {
            "id": "8008135",
            "type": "match",
            "attributes": {
                "state": "complete",
                "round": 1,
                "identifier": "A",
                "suggested_play_order": 1,
                "scores": "2 - 0",
                "score_in_sets": [
                    [
                        3,
                        1
                    ],
                    [
                        4,
                        2
                    ]
                ],
                "points_by_participant": [
                    {
                        "participant_id": 355,
                        "scores": [
                            3,
                            4
                        ]
                    },
                    {
                        "participant_id": 354,
                        "scores": [
                            1,
                            2
                        ]
                    }
                ],
                "timestamps": {
                    "created_at": "2023-04-21T14:29:06.374Z",
                    "updated_at": "2023-04-21T14:31:45.981Z"
                },
                "winner_id": 355,
                "relationships": {
                    "player1": {
                        "data": {
                            "id": "355",
                            "type": "participant"
                        }
                    },
                    "player2": {
                        "data": {
                            "id": "354",
                            "type": "participant"
                        }
                    }
                }
            }
        }
    ]
}
Modified at 2026-03-31 19:11:40
Previous
Unregister Me
Next
Get Match
Built with